## budgie-extras 1.8.0

=== meson_options.txt ===
option('build-recommended', type: 'boolean', value: true, description: 'Build all recommended applets')
option('with-default-schema', type: 'boolean', value: true, description: 'Install with default schema - only needed if installing the whole package')
option('build-wpreviews', type: 'boolean', value: false, description: 'Build windows previews applet')
option('build-wswitcher', type: 'boolean', value: false, description: 'Build workspace switcher applet')
option('build-hotcorners', type: 'boolean', value: false, description: 'Build hotcorners applet')
option('build-quicknote', type: 'boolean', value: false, description: 'Build quicknote applet')
option('build-showtime', type: 'boolean', value: false, description: 'Build Showtime applet')
option('build-countdown', type: 'boolean', value: false, description: 'Build Countdown applet')
option('build-keyboard-autoswitch', type: 'boolean', value: false, description: 'Build Keyboard autoswitch applet')
option('build-rotation-lock', type: 'boolean', value: false, description: 'Build screen rotation lock applet')
option('build-clockworks', type: 'boolean', value: false, description: 'Build clockworks applet')
option('build-dropby', type: 'boolean', value: false, description: 'Build dropby applet')
option('build-kangaroo', type: 'boolean', value: false, description: 'Build kangaroo applet')
option('build-weathershow', type: 'boolean', value: false, description: 'Build show weather applet')
option('build-app-launcher', type: 'boolean', value: false, description: 'Build app-launcher applet')
option('build-recentlyused', type: 'boolean', value: false, description: 'Build recently-used applet')
option('build-takeabreak', type: 'boolean', value: false, description: 'Build take-a-break applet')
option('build-workspacestopwatch', type: 'boolean', value: false, description: 'Build workspace-stopwatch applet')
option('build-extrasdaemon', type: 'boolean', value: false, description: 'Build extras daemon')
option('build-quickchar', type: 'boolean', value: false, description: 'Build quickchar miniapp')
option('build-fuzzyclock', type: 'boolean', value: false, description: 'Build fuzzy clock applet')
option('build-brightness-controller', type: 'boolean', value: false, description: 'Build brightness controller applet')
option('build-visualspace', type: 'boolean', value: false, description: 'Build visualspace miniapp')
option('build-wallstreet', type: 'boolean', value: false, description: 'Build wallstreet miniapp')
option('build-applications-menu', type: 'boolean', value: false, description: 'Build applications-menu applet')
option('build-network-manager', type: 'boolean', value: false, description: 'Build network-manager applet')
option('build-window-shuffler', type: 'boolean', value: false, description: 'Build window shuffler')
option('with-zeitgeist', type : 'boolean', value : 'false', description : 'Add Zeitgeist support')
option('with-stateless', type: 'boolean', value: false, description: 'Enable stateless XDG paths')
option('xdg-appdir', type: 'string', description: 'XDG autostart path')
option('build-trash', type: 'boolean', value: false, description: 'Build trash applet - this is not recommended from BD v10.8 since it has an inbuilt trash applet')

=== budgie-applications-menu/applications-menu/meson_options.txt ===
option('with-zeitgeist', type : 'boolean', value : 'false', description : 'Add Zeitgeist support')

=== debian/changelog ===
budgie-extras (1.8.0-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:05:17 +0000

budgie-extras (1.8.0-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:06:09 +0000

budgie-extras (1.8.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:59:00 +0000

budgie-extras (1.8.0-1) unstable; urgency=medium

  * Stable release
    - See NEWS
  * Packaging Changes
    - d/control B/D update to use libsoup-3.0-dev
    - d/control B/D switch from obsolete pkgconfig to pkgconf

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 08 Feb 2024 20:02:35 +0000

budgie-extras (1.7.1-1) unstable; urgency=medium

  * SECURITY UPDATE: Predictable /tmp path could lead to
    denial-of-service/manipulation of data for clockworks applet
    (LP: #2044373)
    - d/patches/clockwork-tmpxdg.patch: change /tmp path
      usage to use XDG_RUNTIME_DIR/HOME user-space locations,
      thanks to original author
      d/patches/clockwork-tmpxdg-pep8.patch: resolve pep8
      package test failure, thanks to original author
    - CVE-2023-49342
  * SECURITY UPDATE: Predictable /tmp path could lead to
    denial-of-service/manipulation of data for dropby applet
    (LP: #2044373)
    - d/patches/dropby-tmpxdg.patch: change /tmp path
      usage to use XDG_RUNTIME_DIR/HOME user-space locations
      d/patches/dropby-tmpxdg-pep8.patch: resolve pep8
      package test failure, thanks to original author
    - CVE-2023-49343
  * SECURITY UPDATE: Predictable /tmp path could lead to
    denial-of-service/manipulation of data for shuffler app
    (LP: #2044373)
    - d/patches/shuffler-tmpxdg.patch: change /tmp path
      usage to use XDG_RUNTIME_DIR/HOME user-space locations,
      thanks to original author
    - CVE-2023-49344
  * SECURITY UPDATE: Predictable /tmp path could lead to
    denial-of-service/manipulation of data for takeabreak
    applet (LP: #2044373)
    - d/patches/takeabreak-tmpxdg.patch: change /tmp path
      usage to use XDG_RUNTIME_DIR/HOME user-space locations,
      thanks to original author
      d/patches/takeabreak-tmpxdg-pep8.patch: resolve pep8
      package test failure, thanks to original author
      d/patches/takeabreak-tmpxdg-pep8_part2.patch: resolve pep8
      package test failure, thanks to original author
    - CVE-2023-49345
  * SECURITY UPDATE: Predictable /tmp path could lead to
    denial-of-service/manipulation of data for weathershow
    applet (LP: #2044373)
    - d/patches/weathershow-tmpxdg.patch: change /tmp path
      usage to use XDG_RUNTIME_DIR/HOME user-space locations,
      thanks to original author
    - CVE-2023-49346
  * SECURITY UPDATE: Predictable /tmp path could lead to
    denial-of-service/manipulation of data for window
    previews applet (LP: #2044373)
    - d/patches/wpreviews-tmpxdg.patch: change /tmp path
      usage to use XDG_RUNTIME_DIR/HOME user-space locations,
      thanks to original author
    - CVE-2023-49347
  * Drop existing patch since the new release incorporates this

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 03 Dec 2023 19:11:30 +0000

## budgie-extras 1.9.0

=== meson_options.txt ===
--- 
+++ 
@@ -29,3 +29,4 @@
 option('with-stateless', type: 'boolean', value: false, description: 'Enable stateless XDG paths')
 option('xdg-appdir', type: 'string', description: 'XDG autostart path')
 option('build-trash', type: 'boolean', value: false, description: 'Build trash applet - this is not recommended from BD v10.8 since it has an inbuilt trash applet')
+option('for-wayland', type : 'boolean', value : 'false', description : 'Build only wayland compatible components')

=== budgie-applications-menu/applications-menu/meson_options.txt ===
option('with-zeitgeist', type : 'boolean', value : 'false', description : 'Add Zeitgeist support')
option('for-wayland', type : 'boolean', value : 'false', description : 'Build only wayland compatible components')

=== debian/changelog ===
budgie-extras (1.9.0-1) unstable; urgency=medium

  * Stable release
    - See News

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 10 Feb 2025 18:41:17 +0000

=== debian/control ===
Source: budgie-extras
Section: misc
Priority: optional
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Build-Depends:
 budgie-core-dev,
 cmake,
 debhelper (>= 13),
 debhelper-compat (= 13),
 dh-python,
 gnome-settings-daemon-dev,
 gobject-introspection,
 intltool,
 libappstream-dev,
 libbudgie-plugin0,
 libgdk-pixbuf-2.0-dev,
 libgee-0.8-dev,
 libglib2.0-dev (>= 2.56),
 libgnome-desktop-3-dev,
 libgranite-dev,
 libgtk-3-dev,
 libhandy-1-dev,
 libjson-glib-dev,
 libkeybinder-3.0-dev,
 libnm-dev,
 libnma-dev,
 libnotify-dev,
 libpeas-dev,
 libplank-dev,
 libsoup-3.0-dev,
 libwnck-3-dev,
 meson,
 pkgconf,
 pycodestyle,
 python3,
 valac,
 appstream
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://github.com/UbuntuBudgie/budgie-extras/tree/debian
Vcs-Git: https://github.com/UbuntuBudgie/budgie-extras -b debian
Homepage: https://ubuntubudgie.org

Package: budgie-app-launcher-applet
Architecture: all
Depends:
 gir1.2-budgie-1.0,
 gir1.2-glib-2.0,
 gir1.2-gmenu-3.0,
 gir1.2-gtk-3.0,
 gir1.2-peas-1.0,
 python3,
 python3-gi,
 gnome-menus,
 ${misc:Depends},
 ${python3:Depends},
Description: Applet to provide an alternative means to launch applications
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The app-launcher applet allows the ability to add favorite apps to the
 panel as well as finding and launching applications.  The list of
 applications listed can be easily configured to be visible or hidden.

Package: budgie-applications-menu-applet
Architecture: any
Depends: budgie-extras-common, ${misc:Depends}, ${shlibs:Depends}
Recommends: switcheroo-control
Description: Stylish Applications Menu for Budgie-Desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GNOME-Session and Mutter.
 .
 The application-menu is a stylish panel applet that displays applications
 in different views - grid and list. Weblinks typed into the search bar
 can be opened in your default browser. Applications that have additional
 desktop options show via a right-click menu. Applications with associated
 actions show those actions are additional searchable entries.
 .
 Variety of options are available including grid sizing and displaying a
 powerstrip.

Package: budgie-brightness-controller-applet
Architecture: any
Depends: budgie-extras-common, ${misc:Depends}, ${shlibs:Depends}
Description: Applet to control the brightness of the screen
 This is part of a suite of python3 and Vala based applets & mini-apps
 created for the Budgie Desktop that provide additional user orientated
 capabilities. These can be used individually or as a set.
 .
 The brightness controller applet allows controlling of the screen
 levels via xrandr (fallback) or via gnome-settings-daemon (if available)

Package: budgie-clockworks-applet
Architecture: all
Depends:
 gir1.2-budgie-1.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-peas-1.0,
 python3,
 python3-cairosvg,
 python3-gi,
 python3-pil,
 python3-svgwrite,
 ${misc:Depends},
 ${python3:Depends},
Description: Applet to display clock across multiple time zones
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The Clockworks applet displays the current time across multiple
 time zones.

Package: budgie-countdown-applet
Architecture: all
Depends:
 gir1.2-budgie-1.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-peas-1.0,
 python3,
 python3-gi,
 python3-psutil,
 sound-theme-freedesktop,
 vorbis-tools,
 zenity,
 ${misc:Depends},
 ${python3:Depends},
Description: Applet providing a countdown capability on the Budgie Desktop
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The Countdown applet provides the user the ability to start an
 action when the countdown reaches 0 seconds. Actions include flashing
 an icon in the panel, opening a notification window, sounding a
 bell or running a custom command.

Package: budgie-dropby-applet
Architecture: all
Depends:
 gir1.2-budgie-1.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-peas-1.0,
 gir1.2-wnck-3.0,
 python3,
 python3-gi,
 python3-psutil,
 python3-pyudev,
 util-linux (>= 2.31.1),
 wmctrl,
 zenity,
 libnotify-bin,
 ${misc:Depends},
 ${python3:Depends},
Description: Applet to popup when a USB device is connected
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The DropBy applet pops up in the panel when connecting a usb device.
 The applet subsequently offers the option(s) to mount, unmount/eject
 and in case of a flash drive, to make a local copy of the drive's
 content. The info shows the free space on the volume.
 .
 The applet is context- sensitive, meaning: it only shows its icon in
 the panel if, and as long as, any usb drive is connected.

Package: budgie-extras-common
Architecture: any
Depends: ${misc:Depends}
Description: Shared component of budgie-extras applets
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The shared component provides for capabilities that are utilised between
 budgie-extra applets.

Package: budgie-extras-daemon
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: budgie-applications-menu-applet, plank
Description: Extras daemon for budgie-extras capabilities
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 Budgie-Extras-Daemon provides both global keybinding and D-Bus functionality
 for various extras applets and applications.

Package: budgie-fuzzyclock-applet
Architecture: any
Depends: budgie-extras-common, ${misc:Depends}, ${shlibs:Depends}
Description: Show the time in a fuzzy way
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 Displays the time in a 'spoken' format such as five past six.

Package: budgie-hotcorners-applet
Architecture: any
Depends:
 budgie-extras-common,
 gnome-screensaver,
 libnotify-bin,
 xdotool,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Applet providing hotcorners capabilities for the Budgie Desktop
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The hotcorners applet allow user defined commands to be executed
 when the mouse cursor is pushed into a corner of the main desktop.

Package: budgie-kangaroo-applet
Architecture: all
Depends:
 gir1.2-budgie-1.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-peas-1.0,
 python3,
 python3-gi,
 python3-psutil,
 xdg-utils,
 zenity,
 ${misc:Depends},
 ${python3:Depends},
Description: Applet to allow quick file-browsing
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The kangaroo applet allows for quick & easy browsing, across
 (possibly) many directory layers, without having to do a single mouse
 click.

Package: budgie-keyboard-autoswitch-applet
Architecture: all
Depends:
 gir1.2-budgie-1.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-peas-1.0,
 python3,
 python3-gi,
 python3-psutil,
 wmctrl,
 x11-utils,
 ${misc:Depends},
 ${python3:Depends},
Description: Applet adding the ability to set a different keyboard layout per application
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The Keyboard Auto Switcher applet provides the user the ability to set
 a different keyboard layout per application. Exceptions to the default
 layout can be set by simply choosing a different layout using the
 Keyboard Layout applet.

Package: budgie-network-manager-applet
Architecture: any
Depends: budgie-extras-common, ${misc:Depends}, ${shlibs:Depends}
Description: Network Manager Applet for the budgie-desktop
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 This package installs an Network connectivity applet for the
 budgie-desktop.

Package: budgie-previews
Architecture: any
Depends:
 budgie-extras-daemon,
 xinput,
 xprintidle,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Provides window previews capabilities for the Budgie Desktop
 This is part of a suite of python3 and Vala based applets & mini-apps
 created for the Budgie Desktop that provide additional user orientated
 capabilities. These can be used individually or as a set.
 .
 budgie-previews can be used on most desktop environments.
 .
 Previews shows an overview of windows in an expose like way.

Package: budgie-quickchar
Architecture: all
Depends:
 budgie-extras-daemon,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-wnck-3.0,
 python3,
 python3-gi,
 python3-pyperclip,
 python3-xlib,
 wmctrl,
 x11-utils,
 ${misc:Depends},
 ${python3:Depends},
Description: GUI to find and choose locale characters
 This is part of a suite of python3 and Vala based applets & mini-apps
 created for the Budgie Desktop that provide additional user orientated
 capabilities. These can be used individually or as a set.
 .
 Quickly find and choose the equivalent locale character for an ascii
 character.
 .
 Quickchar can be used on most desktop environments invoked by a shortcut key.

Package: budgie-quicknote-applet
Architecture: any
Depends: budgie-extras-common, ${misc:Depends}, ${shlibs:Depends}
Description: Applet providing simple notes capability for the Budgie Desktop
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The quicknote applet allows a user to record a text based note.
 The applet supports multiple undo and redo capabilities.

Package: budgie-recentlyused-applet
Architecture: any
Depends: budgie-extras-common, xdg-utils, ${misc:Depends}, ${shlibs:Depends}
Description: Applet displays files recently accessed for the Budgie Desktop
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The recentlyused applet displays the users files that have been opened
 or created within a configurable period of time.

Package: budgie-rotation-lock-applet
Architecture: all
Depends:
 gir1.2-budgie-1.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-peas-1.0,
 python3,
 python3-gi,
 ${misc:Depends},
 ${python3:Depends},
Description: Applet to lock or unlock the screen rotation
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The Rotation Lock applet provides the user an easy way to lock or
 unlock the screen rotation.

Package: budgie-showtime-applet
Architecture: any

=== debian/watch ===
version=4
# opts=pgpsigurlmangle=s/$/.asc/ https://github.com/ubuntubudgie/budgie-extras/releases .*/budgie-extras-([0-9.]+)\.tar\.xz
# version=4
# Upstream releases official tarballs; we use
# those in preference to git tags
opts="\
    pgpsigurlmangle=s/$/.asc/,\
    compression=xz, \
    dversionmangle=s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)//, \
    downloadurlmangle=s#/tag/#/download/#;s#(v?@ANY_VERSION@)$#$1/@PACKAGE@-$2.tar.xz#, \
    filenamemangle=s#v?@ANY_VERSION@#@PACKAGE@-$1.tar.xz#" \
https://github.com/ubuntubudgie/@PACKAGE@/tags .*/releases/tag/v?@ANY_VERSION@

## budgie-extras 2.0.0

=== debian/changelog ===
budgie-extras (2.0.0-0ubuntu1) resolute; urgency=medium

  * Stable release
    - wayland compatibility for various applets (LP: #2132292)
    - for X11 applets these become transitional packages
  * switch to budgie gir 3.0 and remove debhelper, libbudgie-plugin0
  * Build with peas-2
  * Use multiarch location for installs not hard-coded paths
  * remove conffiles via package.conffiles with remove-on-upgrade
  * add libgtk-layer-shell-dev
  * d/control switch Vcs to budgie-extras-debian with gbp buildpackage
    compatibility

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 10 Nov 2025 19:22:12 +0000

=== debian/control ===
Source: budgie-extras
Section: misc
Priority: optional
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 appstream,
 budgie-core-dev,
 cmake,
 gnome-settings-daemon-dev,
 gobject-introspection,
 intltool,
 libappstream-dev,
 libgdk-pixbuf-2.0-dev,
 libgee-0.8-dev,
 libglib2.0-dev (>= 2.56),
 libgnome-desktop-3-dev,
 libgranite-dev,
 libgtk-3-dev,
 libgtk-layer-shell-dev,
 libhandy-1-dev,
 libjson-glib-dev,
 libkeybinder-3.0-dev,
 libnm-dev,
 libnma-dev,
 libnotify-dev,
 libpeas-2-dev,
 libplank-dev,
 libsoup-3.0-dev,
 libxfce4windowing-0-dev,
 meson,
 pkgconf,
 pycodestyle,
 python3,
 valac,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://github.com/UbuntuBudgie/budgie-extras-debian/tree/ubuntu
Vcs-Git: https://github.com/UbuntuBudgie/budgie-extras-debian -b ubuntu
Homepage: https://ubuntubudgie.org

Package: budgie-clockworks-applet
Architecture: any
Depends:
 gir1.2-budgie-3.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-libxfce4windowing-0.0,
 gir1.2-peas-2,
 python3,
 python3-cairosvg,
 python3-gi,
 python3-pil,
 python3-svgwrite,
 ${misc:Depends},
 ${python3:Depends},
Description: Applet to display clock across multiple time zones
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The Clockworks applet displays the current time across multiple
 time zones.

Package: budgie-app-launcher-applet
Architecture: any
Depends:
 gir1.2-budgie-3.0,
 gir1.2-glib-2.0,
 gir1.2-gmenu-3.0,
 gir1.2-gtk-3.0,
 gir1.2-libxfce4windowing-0.0,
 gir1.2-peas-2,
 gnome-menus,
 python3,
 python3-gi,
 ${misc:Depends},
 ${python3:Depends},
Description: Applet to provide an alternative means to launch applications
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The app-launcher applet allows the ability to add favorite apps to the
 panel as well as finding and launching applications.  The list of
 applications listed can be easily configured to be visible or hidden.

Package: budgie-applications-menu-applet
Architecture: any
Depends: budgie-extras-common, ${misc:Depends}, ${shlibs:Depends},
Recommends: switcheroo-control,
Description: Stylish Applications Menu for Budgie-Desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GNOME-Session and Mutter.
 .
 The application-menu is a stylish panel applet that displays applications
 in different views - grid and list. Weblinks typed into the search bar
 can be opened in your default browser. Applications that have additional
 desktop options show via a right-click menu. Applications with associated
 actions show those actions are additional searchable entries.
 .
 Variety of options are available including grid sizing and displaying a
 powerstrip.

Package: budgie-brightness-controller-applet
Architecture: any
Depends: budgie-extras-common, ${misc:Depends}, ${shlibs:Depends},
Description: Applet to control the brightness of the screen
 This is part of a suite of python3 and Vala based applets & mini-apps
 created for the Budgie Desktop that provide additional user orientated
 capabilities. These can be used individually or as a set.

Package: budgie-countdown-applet
Architecture: any
Depends:
 gir1.2-budgie-3.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-peas-2,
 python3,
 python3-gi,
 python3-psutil,
 sound-theme-freedesktop,
 vorbis-tools,
 zenity,
 ${misc:Depends},
 ${python3:Depends},
Description: Applet providing a countdown capability on the Budgie Desktop
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The Countdown applet provides the user the ability to start an
 action when the countdown reaches 0 seconds. Actions include flashing
 an icon in the panel, opening a notification window, sounding a
 bell or running a custom command.

Package: budgie-dropby-applet
Depends: ${gir:Depends}, ${misc:Depends},
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: budgie-extras-common
Architecture: any
Depends: ${misc:Depends},
Description: Shared component of budgie-extras applets
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The shared component provides for capabilities that are utilised between
 budgie-extra applets.

Package: budgie-extras-daemon
Depends: ${gir:Depends}, ${misc:Depends},
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: budgie-fuzzyclock-applet
Architecture: any
Depends: budgie-extras-common, ${misc:Depends}, ${shlibs:Depends},
Description: Show the time in a fuzzy way
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 Displays the time in a 'spoken' format such as five past six.

Package: budgie-hotcorners-applet
Depends: ${gir:Depends}, ${misc:Depends},
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: budgie-kangaroo-applet
Architecture: any
Depends:
 gir1.2-budgie-3.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-libxfce4windowing-0.0,
 gir1.2-peas-2,
 python3,
 python3-gi,
 python3-psutil,
 xdg-utils,
 zenity,
 ${misc:Depends},
 ${python3:Depends},
Description: Applet to allow quick file-browsing
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The kangaroo applet allows for quick & easy browsing, across
 (possibly) many directory layers, without having to do a single mouse
 click.

Package: budgie-keyboard-autoswitch-applet
Depends: ${gir:Depends}, ${misc:Depends},
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: budgie-network-manager-applet
Architecture: any
Depends: budgie-extras-common, ${misc:Depends}, ${shlibs:Depends},
Description: Network Manager Applet for the budgie-desktop
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 This package installs an Network connectivity applet for the
 budgie-desktop.

Package: budgie-previews
Depends: ${gir:Depends}, ${misc:Depends},
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: budgie-quickchar
Depends: ${gir:Depends}, ${misc:Depends},
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: budgie-quicknote-applet
Architecture: any
Depends: budgie-extras-common, ${misc:Depends}, ${shlibs:Depends},
Description: Applet providing simple notes capability for the Budgie Desktop
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The quicknote applet allows a user to record a text based note.
 The applet supports multiple undo and redo capabilities.

Package: budgie-recentlyused-applet
Architecture: any
Depends: budgie-extras-common, xdg-utils, ${misc:Depends}, ${shlibs:Depends},
Description: Applet displays files recently accessed for the Budgie Desktop
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The recentlyused applet displays the users files that have been opened
 or created within a configurable period of time.

Package: budgie-rotation-lock-applet
Depends: ${gir:Depends}, ${misc:Depends},
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: budgie-showtime-applet
Depends: ${gir:Depends}, ${misc:Depends},
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: budgie-takeabreak-applet
Architecture: any
Depends:
 gir1.2-budgie-3.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-peas-2,
 gir1.2-libxfce4windowing-0.0,
 wlr-randr,
 python3,
 python3-gi,
 x11-xserver-utils,
 xprintidle,
 libnotify-bin,
 ${misc:Depends},
 ${python3:Depends},
Description: Applet to prompt when to take-a-break for a set period of time
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The take-a-break applet monitors how long a desktop is being used
 and at a configurable time period suggests when to take a break
 from working.

Package: budgie-trash-applet
Architecture: all
Section: oldlibs
Depends: ${misc:Depends},
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: budgie-visualspace-applet
Architecture: all
Section: oldlibs
Depends: ${misc:Depends},
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: budgie-wallstreet
Architecture: any
Depends: budgie-extras-common, ${misc:Depends}, ${shlibs:Depends},
Description: Change wallpaper from a folder on a schedule
 This is part of a suite of python3 and Vala based applets & mini-apps
 created for the Budgie Desktop that provide additional user orientated
 capabilities. These can be used individually or as a set.
 .
 Wallstreet allows for a directory of pictures to be shown on
 a schedule.

Package: budgie-weathershow-applet
Architecture: any
Depends: budgie-extras-common, procps, ${misc:Depends}, ${shlibs:Depends},
Description: Applet to display the weather and forecast
 This is part of a suite of python3 based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The weathershow applet displays daily and three hourly weather
 forecasts on both the desktop and a Popover.

Package: budgie-window-shuffler
Architecture: all
Section: oldlibs
Depends: ${misc:Depends},
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: budgie-workspace-stopwatch-applet
Architecture: all
Section: oldlibs
Depends: ${misc:Depends},
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: budgie-workspace-wallpaper-applet
Architecture: all
Section: oldlibs
Depends: ${misc:Depends},
Description: transitional package
 This is a transitional package. It can safely be removed.

## budgie-extras 2.1.0

=== debian/changelog ===
budgie-extras (2.1.0-0ubuntu2) resolute; urgency=medium

  * Reinstantiate budgie-extras-daemon to allow previous layouts capability
    0001-Rejig-budgie-extras-daemon-to-just-support-layouts.patch
  * d/control change budgie-extras-daemon transitional package back
    to the Questing binary

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 08 Feb 2026 19:44:37 +0000

budgie-extras (2.1.0-0ubuntu1) resolute; urgency=medium

  * Stable release
    - wayland compatibility for more applets
  * Use multiarch location for installs
  * Transition package for showtime and workspace-wallpaper applets
    These now install their widget equivalents - i.e.
    budgie-showtime-widget and budgieworkspace-wallpaper-widget

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 29 Jan 2026 21:16:18 +0000

=== debian/control ===
--- 
+++ 
@@ -140,12 +140,35 @@
  bell or running a custom command.
 
 Package: budgie-dropby-applet
-Depends: ${gir:Depends}, ${misc:Depends},
-Architecture: all
-Priority: optional
-Section: oldlibs
-Description: transitional package
- This is a transitional package. It can safely be removed.
+Architecture: any
+Depends:
+ gir1.2-budgie-1.0,
+ gir1.2-glib-2.0,
+ gir1.2-gtk-3.0,
+ gir1.2-peas-1.0,
+ gir1.2-wnck-3.0,
+ python3,
+ python3-gi,
+ python3-psutil,
+ python3-pyudev,
+ util-linux (>= 2.31.1),
+ wmctrl,
+ zenity,
+ libnotify-bin,
+ ${misc:Depends},
+ ${python3:Depends},
+Description: Applet to popup when a USB device is connected
+ This is part of a suite of python3 and Vala based applets for the Budgie
+ Desktop that provide additional user orientated capabilities.
+ The applets can be used individually or as a set.
+ .
+ The DropBy applet pops up in the panel when connecting a usb device.
+ The applet subsequently offers the option(s) to mount, unmount/eject
+ and in case of a flash drive, to make a local copy of the drive's
+ content. The info shows the free space on the volume.
+ .
+ The applet is context- sensitive, meaning: it only shows its icon in
+ the panel if, and as long as, any usb drive is connected.
 
 Package: budgie-extras-common
 Architecture: any
@@ -159,12 +182,15 @@
  budgie-extra applets.
 
 Package: budgie-extras-daemon
-Depends: ${gir:Depends}, ${misc:Depends},
-Architecture: all
-Priority: optional
-Section: oldlibs
-Description: transitional package
- This is a transitional package. It can safely be removed.
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Extras daemon for budgie-extras capabilities
+ This is part of a suite of python3 and Vala based applets for the Budgie
+ Desktop that provide additional user orientated capabilities.
+ The applets can be used individually or as a set.
+ .
+ Budgie-extras-daemon provides D-Bus functionality
+ for various extras applets and applications.
 
 Package: budgie-fuzzyclock-applet
 Architecture: any
@@ -274,12 +300,26 @@
  This is a transitional package. It can safely be removed.
 
 Package: budgie-showtime-applet
-Depends: ${gir:Depends}, ${misc:Depends},
-Architecture: all
-Priority: optional
-Section: oldlibs
-Description: transitional package
- This is a transitional package. It can safely be removed.
+Depends: budgie-showtime-widget, ${gir:Depends}, ${misc:Depends},
+Architecture: all
+Priority: optional
+Section: oldlibs
+Description: transitional package
+ This is a transitional package. It can safely be removed.
+
+Package: budgie-showtime-widget
+Architecture: any
+Replaces: budgie-showtime-applet,
+Breaks: budgie-showtime-applet (<< 1.9.0-1~),
+Depends: budgie-extras-common, ${misc:Depends}, ${shlibs:Depends}
+Description: Raven Widget displaying date and time on the Budgie Desktop
+ This is part of a suite of Vala based Raven widgets for the Budgie
+ Desktop that provide additional user orientated capabilities.
+ The widgets can be used individually or as a set.
+ .
+ The ShowTime widget is a digital desktop clock, showing time and/or
+ date.  Text color of both the displayed time and date can be set
+ separately from the raven widget's menu
 
 Package: budgie-takeabreak-applet
 Architecture: any
@@ -314,51 +354,10 @@
  This is a transitional package. It can safely be removed.
 
 Package: budgie-visualspace-applet
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends},
-Description: transitional package
- This is a transitional package. It can safely be removed.
-
-Package: budgie-wallstreet
-Architecture: any
-Depends: budgie-extras-common, ${misc:Depends}, ${shlibs:Depends},
-Description: Change wallpaper from a folder on a schedule
- This is part of a suite of python3 and Vala based applets & mini-apps
- created for the Budgie Desktop that provide additional user orientated
- capabilities. These can be used individually or as a set.
- .
- Wallstreet allows for a directory of pictures to be shown on
- a schedule.
-
-Package: budgie-weathershow-applet
-Architecture: any
-Depends: budgie-extras-common, procps, ${misc:Depends}, ${shlibs:Depends},
-Description: Applet to display the weather and forecast
- This is part of a suite of python3 based applets for the Budgie
- Desktop that provide additional user orientated capabilities.
- The applets can be used individually or as a set.
- .
- The weathershow applet displays daily and three hourly weather
- forecasts on both the desktop and a Popover.
-
-Package: budgie-window-shuffler
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends},
-Description: transitional package
- This is a transitional package. It can safely be removed.
-
-Package: budgie-workspace-stopwatch-applet
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends},
-Description: transitional package
- This is a transitional package. It can safely be removed.
-
-Package: budgie-workspace-wallpaper-applet
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends},
-Description: transitional package
- This is a transitional package. It can safely be removed.
+Architecture: any
+Depends: budgie-extras-common, ${misc:Depends}, ${shlibs:Depends}
+Description: Show and manage windows in workspaces for the Budgie Desktop
+ This is part of a suite of python3 and Vala based applets for the Budgie
+ Desktop that provide additional user orientated capabilities.
+ The applets can be used individually or as a set.
+ .

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --datadir=/usr/share -Dwith-zeitgeist=false -Dwith-default-schema=false -Dfor-wayland=true

override_dh_auto_test:
	dh_auto_test
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./tools/run-pep8
endif

override_dh_python3:
	dh_python3 /usr/lib/*/budgie-desktop/plugins

=== debian/tests/control ===
Test-Command: tools/run-pep8
Depends: pycodestyle,

## budgie-extras 2.2.0

=== meson_options.txt ===
--- 
+++ 
@@ -25,6 +25,7 @@
 option('build-applications-menu', type: 'boolean', value: false, description: 'Build applications-menu applet')
 option('build-network-manager', type: 'boolean', value: false, description: 'Build network-manager applet')
 option('build-window-shuffler', type: 'boolean', value: false, description: 'Build window shuffler')
+option('build-screencast', type: 'boolean', value: false, description: 'Build screencast applet')
 option('with-zeitgeist', type : 'boolean', value : 'false', description : 'Add Zeitgeist support')
 option('with-stateless', type: 'boolean', value: false, description: 'Enable stateless XDG paths')
 option('xdg-appdir', type: 'string', description: 'XDG autostart path')

=== debian/changelog ===
budgie-extras (2.2.0-0ubuntu1) resolute; urgency=medium

  * New upstream release
    - FFE Add budgie-screencast-applet (LP: #2143082)
    - drop all previous patch since it has been incorporated in this
      release
  * Packaging Changes:
    d/control add budgie-screencast-applet packaging
      drop libplank-dev
    wrap-and-sort -bst
    add news.patch to fix appstream validation errors

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 02 Mar 2026 19:00:57 +0000

budgie-extras (2.1.0-1) experimental; urgency=medium

  * Stable release
    - wayland compatibility for more applets
  * Use multiarch location for installs
  * Transition package for showtime and workspace-wallpaper applets
    These now install their widget equivalents - i.e.
    budgie-showtime-widget and budgieworkspace-wallpaper-widget

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 29 Jan 2026 21:16:18 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: David Mohammed <fossfreedom@ubuntu.com>
 Build-Depends:
- debhelper-compat (= 13),
- dh-python,
  appstream,
  budgie-core-dev,
  cmake,
+ debhelper-compat (= 13),
+ dh-python,
  gnome-settings-daemon-dev,
  gobject-introspection,
  intltool,
@@ -26,7 +26,6 @@
  libnma-dev,
  libnotify-dev,
  libpeas-2-dev,
- libplank-dev,
  libsoup-3.0-dev,
  libxfce4windowing-0-dev,
  meson,
@@ -34,10 +33,10 @@
  pycodestyle,
  python3,
  valac,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
-Vcs-Browser: https://github.com/UbuntuBudgie/budgie-extras-debian/tree/ubuntu
-Vcs-Git: https://github.com/UbuntuBudgie/budgie-extras-debian -b ubuntu
+Vcs-Browser: https://github.com/UbuntuBudgie/budgie-extras-debian/tree/ubuntu/latest
+Vcs-Git: https://github.com/UbuntuBudgie/budgie-extras-debian -b ubuntu/latest
 Homepage: https://ubuntubudgie.org
 
 Package: budgie-clockworks-applet
@@ -147,6 +146,7 @@
  gir1.2-gtk-3.0,
  gir1.2-peas-1.0,
  gir1.2-wnck-3.0,
+ libnotify-bin,
  python3,
  python3-gi,
  python3-psutil,
@@ -154,7 +154,6 @@
  util-linux (>= 2.31.1),
  wmctrl,
  zenity,
- libnotify-bin,
  ${misc:Depends},
  ${python3:Depends},
 Description: Applet to popup when a USB device is connected
@@ -183,7 +182,7 @@
 
 Package: budgie-extras-daemon
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Extras daemon for budgie-extras capabilities
  This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
@@ -205,7 +204,6 @@
 Package: budgie-hotcorners-applet
 Depends: ${gir:Depends}, ${misc:Depends},
 Architecture: all
-Priority: optional
 Section: oldlibs
 Description: transitional package
  This is a transitional package. It can safely be removed.
@@ -237,7 +235,6 @@
 Package: budgie-keyboard-autoswitch-applet
 Depends: ${gir:Depends}, ${misc:Depends},
 Architecture: all
-Priority: optional
 Section: oldlibs
 Description: transitional package
  This is a transitional package. It can safely be removed.
@@ -256,7 +253,6 @@
 Package: budgie-previews
 Depends: ${gir:Depends}, ${misc:Depends},
 Architecture: all
-Priority: optional
 Section: oldlibs
 Description: transitional package
  This is a transitional package. It can safely be removed.
@@ -264,7 +260,6 @@
 Package: budgie-quickchar
 Depends: ${gir:Depends}, ${misc:Depends},
 Architecture: all
-Priority: optional
 Section: oldlibs
 Description: transitional package
  This is a transitional package. It can safely be removed.
@@ -294,15 +289,30 @@
 Package: budgie-rotation-lock-applet
 Depends: ${gir:Depends}, ${misc:Depends},
 Architecture: all
-Priority: optional
-Section: oldlibs
-Description: transitional package
- This is a transitional package. It can safely be removed.
+Section: oldlibs
+Description: transitional package
+ This is a transitional package. It can safely be removed.
+
+Package: budgie-screencast-applet
+Architecture: any
+Depends:
+ pulseaudio-utils,
+ slurp,
+ wf-recorder,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Applet to record the whole or parts of a screen
+ This is part of a suite of Vala based applets for the Budgie
+ Desktop that provide additional user orientated capabilities.
+ The applets can be used individually or as a set.
+ .
+ The screencast applet allows both areas and whole screen video recording
+ together with optional audio.  It allows for unlimited recording as well
+ as time-limited recording times plus optional delays in recording.
 
 Package: budgie-showtime-applet
 Depends: budgie-showtime-widget, ${gir:Depends}, ${misc:Depends},
 Architecture: all
-Priority: optional
 Section: oldlibs
 Description: transitional package
  This is a transitional package. It can safely be removed.
@@ -311,7 +321,7 @@
 Architecture: any
 Replaces: budgie-showtime-applet,
 Breaks: budgie-showtime-applet (<< 1.9.0-1~),
-Depends: budgie-extras-common, ${misc:Depends}, ${shlibs:Depends}
+Depends: budgie-extras-common, ${misc:Depends}, ${shlibs:Depends},
 Description: Raven Widget displaying date and time on the Budgie Desktop
  This is part of a suite of Vala based Raven widgets for the Budgie
  Desktop that provide additional user orientated capabilities.
@@ -327,14 +337,14 @@
  gir1.2-budgie-3.0,
  gir1.2-glib-2.0,
  gir1.2-gtk-3.0,
- gir1.2-peas-2,
  gir1.2-libxfce4windowing-0.0,
+ gir1.2-peas-2,
+ libnotify-bin,
+ python3,
+ python3-gi,
  wlr-randr,
- python3,
- python3-gi,
  x11-xserver-utils,
  xprintidle,
- libnotify-bin,
  ${misc:Depends},
  ${python3:Depends},
 Description: Applet to prompt when to take-a-break for a set period of time
@@ -349,15 +359,3 @@
 Package: budgie-trash-applet
 Architecture: all
 Section: oldlibs
-Depends: ${misc:Depends},
-Description: transitional package
- This is a transitional package. It can safely be removed.
-
-Package: budgie-visualspace-applet
-Architecture: any
-Depends: budgie-extras-common, ${misc:Depends}, ${shlibs:Depends}
-Description: Show and manage windows in workspaces for the Budgie Desktop
- This is part of a suite of python3 and Vala based applets for the Budgie
- Desktop that provide additional user orientated capabilities.
- The applets can be used individually or as a set.
- .
